SET QUOTED_IDENTIFIER ON 
GO
SET ANSI_NULLS ON 
GO
CREATE PROCEDURE [dbo].[GetEvaluationResultEfectivitySummary](
		@VCC VARCHAR(50),
		@EfectivityPlanId VARCHAR(50)
)
AS
BEGIN
		;WITH TEMP_EVALUATIONREF AS (
		SELECT DISTINCT ERE.[VCC],ER.[IdInteraction],ER.[IdEvaluationPlan],ER.[ScoreDescription],ERE.[Efectivity]
		,A.[Title] 
		FROM dbo.[EvaluationResult] ER (NOLOCK)
		INNER JOIN dbo.[EvaluationResultEfectivity] ERE (NOLOCK)
 
		ON ERE.[VCC] = ER.[Instance]
		AND ERE.[InteractionId] = ER.[IdInteraction]
		AND ERE.[AgentId] = ER.[IdAgent]
		AND ERE.[EvaluationPlanId] = ER.[IdEvaluationPlan] 
		AND ERE.[AbilityEvaluationFormatId] = ER.[IdAbilityEvaluationFormat]		
		INNER JOIN dbo.[Ability] A ON 
		ER.[IdAbility] = A.[ID]
		AND ER.[Instance] = A.[Instance]
		WHERE
		 ER.[Instance] = @VCC		
		 AND ERE.[EfectivityPlanId] = @EfectivityPlanId
		)

		SELECT [VCC] 'vcc',[title] 'ability',
		ISNULL(SUM(CASE WHEN [Efectivity] = 1 THEN 1 ELSE 0 END),0) AS 'correcto' ,
		ISNULL(SUM(CASE WHEN [Efectivity] = 0 THEN 1 ELSE 0 END ),0) AS 'incorrecto' 
		FROM TEMP_EVALUATIONREF
		GROUP BY  VCC,title


END
GO
SET QUOTED_IDENTIFIER OFF 
GO
SET ANSI_NULLS OFF 
GO

GO
